dialog#language-selector {
  max-width: 600px;
  width: auto;
  background: var(--background-color);

  border-radius: 9px;
  border: none;
  box-shadow: 0px 0px 12px #333;
  color: var(--text-color);

  header {
    all: revert;
    display: flex;
    align-items: center;

    h3 {
      margin: 0;
    }

    form {
      margin-inline-start: auto;

      button.close {
        all: initial;
        appearance: none;
        color: inherit;
        background: none;
        border: none;
        width: 32px;
        height: 32px;
        border-radius: 16px;

        &::before {
          display: block;
          content: "×";
          font-size: 30px;
          box-sizing: border-box;
          font-weight: bold;
          border-radius: 100%;
          width: 32px;
          height: 32px;
          line-height: 32px;
          text-align: center;
          background: var(--light2);

          @media (prefers-color-scheme: dark) {
            background: var(--dark3);
          }
        }

        &:focus::before {
          outline: 2px solid currentColor;
        }

        &:hover::before {
          background: var(--light3);

          @media (prefers-color-scheme: dark) {
            background: var(--dark2);
          }
        }
      }
    }
  }

  ul {
    columns: 10em auto;
    list-style: none;

    li {
      padding: .3em 1em;
    }
  }
}